Bug 1440143 - blivet.errors.FSError: mount failed: 32
Summary: blivet.errors.FSError: mount failed: 32
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3f7cb220adefdd013797c12cefe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-07 11:44 UTC by Martin Kolman
Modified: 2018-05-29 11:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:44:15 UTC


Attachments (Terms of Use)
File: anaconda-tb (183.75 KB, text/plain)
2017-04-07 11:44 UTC, Martin Kolman
no flags Details
File: environ (529 bytes, text/plain)
2017-04-07 11:44 UTC, Martin Kolman
no flags Details
File: lsblk_output (2.25 KB, text/plain)
2017-04-07 11:44 UTC, Martin Kolman
no flags Details
File: nmcli_dev_list (1.62 KB, text/plain)
2017-04-07 11:44 UTC, Martin Kolman
no flags Details
File: os_info (447 bytes, text/plain)
2017-04-07 11:44 UTC, Martin Kolman
no flags Details

Description Martin Kolman 2017-04-07 11:44:15 UTC
Description of problem:
Did the PartitioningEcryptAll testcase for the Blivet GUI test day.

Layout (IIRC):

/boot - unencrypted
/home - btrfs on LUKS
/ & swap - on LVM on LUKS

Version-Release number of selected component:
anaconda-26.21.1-1

The following was filed automatically by anaconda:
anaconda 26.21.1-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/tasks/fsmount.py", line 125, in do_task
    raise FSError("mount failed: %s" % rc)
  File "/usr/lib/python3.6/site-packages/blivet/formats/fs.py", line 507, in _setup
    self._mount.do_task(chrooted_mountpoint, options=options)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/formats/__init__.py", line 602, in setup
    self._setup(**kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 506, in setup_parents
    _format.setup()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 438, in _pre_create
    self.setup_parents()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/btrfs.py", line 408, in _pre_create
    super(BTRFSVolumeDevice, self)._pre_create()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 447, in create
    self._pre_create()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/deviceaction.py", line 318, in execute
    self.device.create()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 325, in process
    action.execute(callbacks)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 163, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1112, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 437, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 471, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 303, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install_tasks.py", line 303, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/install.py", line 356, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.FSError: mount failed: 32

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/libexec/system-python  /sbin/anaconda
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.0-0.rc4.git0.1.fc26.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        26

Comment 1 Martin Kolman 2017-04-07 11:44:22 UTC
Created attachment 1269716 [details]
File: anaconda-tb

Comment 2 Martin Kolman 2017-04-07 11:44:23 UTC
Created attachment 1269717 [details]
File: environ

Comment 3 Martin Kolman 2017-04-07 11:44:25 UTC
Created attachment 1269718 [details]
File: lsblk_output

Comment 4 Martin Kolman 2017-04-07 11:44:26 UTC
Created attachment 1269719 [details]
File: nmcli_dev_list

Comment 5 Martin Kolman 2017-04-07 11:44:28 UTC
Created attachment 1269720 [details]
File: os_info

Comment 6 Fedora End Of Life 2018-05-03 07:57:20 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 11:44:15 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.